Skip to main content
GET
/
v1
/
models
List models
curl --request GET \
  --url https://api.naga.ac/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created": 123,
      "owned_by": "<string>",
      "object": "model",
      "display_name": "<string>",
      "description": "<string>",
      "context_window": 123,
      "max_output_images": 123,
      "supported_endpoints": [
        "<string>"
      ],
      "pricing": {
        "per_input_token": 123,
        "per_cached_input_token": 123,
        "per_output_token": 123,
        "per_audio_token": 123,
        "per_output_image_token": 123,
        "per_input_text_token": 123,
        "per_input_image_token": 123,
        "per_token": 123
      },
      "architecture": {
        "input_modalities": [
          "<string>"
        ],
        "output_modalities": [
          "<string>"
        ]
      },
      "aliases": [
        "<string>"
      ],
      "deprecates_at": 123,
      "supported_parameters": [
        "<string>"
      ],
      "supported_parameters_by_endpoint": {}
    }
  ],
  "object": "list"
}

Authorizations

Authorization
string
header
required

Primary authentication for inference endpoints. Send your Naga API key as Authorization: Bearer <api-key>.

Response

Successful Response

data
PublicModelResponse · object[]
required
object
string
default:list
Allowed value: "list"